# NotifyOnConnectionOpen

Emits a message when a remote peer opens a connection.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  NotifyOnConnectionOpen

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Instructs imptcp to emit a message if a remote peer opens a connection. Hostname of the remote peer is given in the message.

## Input usage

    input(type="imptcp" notifyOnConnectionOpen="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.